JBoss API: Class ENCFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class ENCFactory

    java.lang.Object
      |
      +--org.jboss.naming.ENCFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ENCFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Implementation of "java:comp" namespace factory. The context is associated with the thread class loader.

Version:
  $Revision: 1.3.6.3 $
Author:
  Rickard Oberg (rickard.oberg@telkel.com), Scott.Stark@jboss.org
See Also:

Constructor Summary
`ENCFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`static java.lang.ClassLoader` | `getTopClassLoader()`
`static void` | `setTopClassLoader(java.lang.ClassLoader topLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENCFactory

    public ENCFactory()

Method Detail

### setTopClassLoader

    public static void setTopClassLoader(java.lang.ClassLoader topLoader)

### getTopClassLoader

    public static java.lang.ClassLoader getTopClassLoader()

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.